@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
:root {
  --header-height: 3.5rem;
  --nav-width: 219px;
  --first-color: #6923d0;
  --first-color-light: #f4f0fa;
  --title-color: #19181b;
  --text-color: #58555e;
  --text-color-light: #a5a1aa;
  --body-color: #f9f6fd;
  --container-color: #ffffff;
  --body-font: "Poppins", sans-serif;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.75rem;
  --smaller-font-size: 0.75rem;
  --font-medium: 500;
  --font-semi-bold: 600;
  --z-fixed: 100;
  --blue-color: #3fc3ee;
  --danger-color: #f44336;
  --success-color: #009688;
}

@media screen and (min-width: 1024px) {
  :root {
    --normal-font-size: 1rem;
    --small-font-size: 0.875rem;
    --smaller-font-size: 0.813rem;
  }
}

/*========== BASE ==========*/
*,
::before,
::after {
  box-sizing: border-box;
}

body {
  margin: var(--header-height) 0 0 0;
  padding: 1rem 1rem 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}
ul {
  list-style: none;
}
h3 {
  margin: 0;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

/*========== HEADER ==========*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background-color: var(--container-color);
  box-shadow: 0 1px 0 rgba(22, 8, 43, 0.1);
  padding: 0 1rem;
  z-index: var(--z-fixed);
}

.header__container {
  display: flex;
  align-items: center;
  height: var(--header-height);
  justify-content: space-between;
}

.header__img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
}

.header__logo {
  color: var(--title-color);
  font-weight: var(--font-medium);
  display: none;
  text-transform: capitalize;
}

.header__search {
  display: flex;
  padding: 0.4rem 0.75rem;
  background-color: var(--first-color-light);
  border-radius: 0.25rem;
}

.header__input {
  width: 100%;
  border: none;
  outline: none;
  background-color: var(--first-color-light);
}

.header__input::placeholder {
  font-family: var(--body-font);
  color: var(--text-color);
}

.header__icon,
.header__toggle {
  font-size: 1.2rem;
}

.header__toggle {
  color: var(--title-color);
  cursor: pointer;
}

/*========== NAV ==========*/
.nav {
  position: fixed;
  top: 0;
  left: -100%;
  height: 100vh;
  padding: 1rem 1rem 0;
  background-color: var(--container-color);
  box-shadow: 1px 0 0 rgba(22, 8, 43, 0.1);
  z-index: var(--z-fixed);
  transition: 0.4s;
}

.nav__container {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding-bottom: 5rem;
  overflow: auto;
  scrollbar-width: none; /* For mozilla */
}

/* For Google Chrome and others */
.nav__container::-webkit-scrollbar {
  display: none;
}

.nav__logo {
  font-weight: var(--font-semi-bold);
  margin-bottom: 2.5rem;
}

.nav__list,
.nav__items {
  display: grid;
}

.nav__list {
  row-gap: 2.5rem;
}

.nav__items {
  row-gap: 1.5rem;
}

.nav__subtitle {
  font-size: var(--normal-font-size);
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  color: var(--text-color-light);
}

.nav__link {
  display: flex;
  align-items: center;
  color: var(--text-color);
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__icon {
  font-size: 1.2rem;
  margin-right: 0.5rem;
}

.nav__name {
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  white-space: nowrap;
}

.nav__logout {
  margin-top: 5rem;
}

/* Dropdown */
.nav__dropdown {
  overflow: hidden;
  max-height: 21px;
  transition: 0.4s ease-in-out;
}

.nav__dropdown-collapse {
  background-color: var(--first-color-light);
  border-radius: 0.25rem;
  margin-top: 1rem;
}

.nav__dropdown-content {
  display: grid;
  row-gap: 0.5rem;
  padding: 0.75rem 2.5rem 0.75rem 1.8rem;
}

.nav__dropdown-item {
  font-size: var(--smaller-font-size);
  font-weight: var(--font-medium);
  color: var(--text-color);
}

.nav__dropdown-item:hover {
  color: var(--first-color);
}

.nav__dropdown-icon {
  margin-left: auto;
  transition: 0.4s;
}

/* Show dropdown collapse */
.nav__dropdown:hover {
  max-height: 100rem;
}

/* Rotate icon arrow */
.nav__dropdown:hover .nav__dropdown-icon {
  transform: rotate(180deg);
}

/*===== Show menu =====*/
.show-menu {
  left: 0;
}

/*===== Active link =====*/
.active {
  color: var(--first-color);
}

/* ========== MEDIA QUERIES ==========*/
/* For small devices reduce search*/
@media screen and (max-width: 320px) {
  .header__search {
    width: 70%;
  }
}

@media screen and (min-width: 768px) {
  body {
    padding: 1rem 3rem 0 6rem;
  }
  .header {
    padding: 0 3rem 0 6rem;
  }
  .header__container {
    height: calc(var(--header-height) + 0.5rem);
  }
  .header__search {
    width: 300px;
    padding: 0.55rem 0.75rem;
  }
  .header__toggle {
    display: none;
  }
  .header__logo {
    display: block;
  }
  .header__img {
    width: 40px;
    height: 40px;
    order: 1;
  }
  .nav {
    left: 0;
    padding: 1.2rem 1.5rem 0;
    width: 68px; /* Reduced navbar */
  }
  .nav__items {
    row-gap: 1.7rem;
  }
  .nav__icon {
    font-size: 1.3rem;
  }

  /* Element opacity */
  .nav__logo-name,
  .nav__name,
  .nav__subtitle,
  .nav__dropdown-icon {
    opacity: 0;
    transition: 0.3s;
  }

  /* Navbar expanded */
  .nav:hover {
    width: var(--nav-width);
  }

  /* Visible elements */
  .nav:hover .nav__logo-name {
    opacity: 1;
  }
  .nav:hover .nav__subtitle {
    opacity: 1;
  }
  .nav:hover .nav__name {
    opacity: 1;
  }
  .nav:hover .nav__dropdown-icon {
    opacity: 1;
  }
}
/* begin content section */
main {
  background-color: #fff;
  padding: 20px;
  border-top: 5px solid var(--blue-color);
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
main .row {
  display: flex;
  justify-content: space-between;
}
main h2 {
  margin-bottom: 30px;
  text-transform: uppercase;
}
main .row a {
  height: fit-content;
  border: 1px solid #ccc;
  font-size: 1.5rem;
  color: var(--text-color);
  padding: 5px 7px 0;
  text-align: center;
  text-decoration: none;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
  transition: all 0.5s ease;
  -webkit-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  -ms-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
}
main .row a:hover {
  background: var(--blue-color);
  color: #fff;
}
main .row-input {
  display: grid;
  grid-template-columns: 1fr 100px auto;
  column-gap: 10px;
  align-items: flex-start;
}
main .check-wrapper {
  margin-top: 10px;
}
main .check-wrapper input {
  margin-right: 10px;
}
main .row-input span {
  height: fit-content;
  padding: 7px;
  background: var(--blue-color);
  color: #fff;
  border-radius: 5px;
  cursor: pointer;
}
main form .form-control {
  margin-bottom: 20px;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
main form .form-control input {
  border: none;
  outline: none;
  padding: 0 10px;
  font-size: 1rem;
  width: 95%;
}
@media (max-width: 768px) {
  main form .row-input .form-control input {
    width: 90%;
  }
}
form button {
  border: none;
  outline: none;
  width: 100%;
  background-color: var(--blue-color);
  color: #fff;
  padding: 10px;
  text-transform: uppercase;
  font-size: 1rem;
  font-weight: bold;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
}
.answers-wrapper {
  padding: 10px 0;
  margin-top: 10px;
}
.answers-wrapper article {
  padding: 5px;
  margin-bottom: 5px;
}
.answers-wrapper article label{
  font-size: 1rem;
}
.alert {
  padding: 20px;
  border-radius: 5px;
  margin-bottom: 20px;
  text-transform: capitalize;
  position: relative;
  display: none;
}
.alert.open {
  display: block;
}
.alert-success {
  background: #d4edda !important;
}
.alert-error {
  background: #f8d7da;
}
.alert span {
  position: absolute;
  top: 20px;
  right: 15px;
  font-weight: 700;
  font-size: 20px;
  cursor: pointer;
}
.table-wrapper {
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  overflow: auto;
  box-shadow: rgba(0, 0, 0, 0.12) 0px 1px 3px, rgba(0, 0, 0, 0.24) 0px 1px 2px;
}
table {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

table td,
table th {
  border: 1px solid #ddd;
  padding: 8px;
  text-align: center;
}

table tr:nth-child(even) {
  background-color: #f2f2f2;
}

table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: var(--blue-color);
  color: white;
}
table td span,
a,
.card .actions span {
  cursor: pointer;
}
table td a,
.card .actions a {
  color: var(--blue-color);
  margin-right: 10px;
}
table td span,
.card .actions span {
  color: #f44336;
  margin-right: 10px;
}
/* begin card */
.card {
  transform: translateZ(0);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
  background: #fff;
  margin-bottom: 10px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  padding: 10px;
  border: 1px solid #eee;
  border-top: 6px solid var(--blue-color);
}
.card label {
  font-size: 1rem;
  text-transform: capitalize;
  max-width: 85%;
  line-height: 1.5;
}
.card .actions a {
  border: none;
  margin-right: 5px;
}
.card .actions a:hover {
  background-color: transparent;
  color: var(--blue-color);
}
.card > label:after {
  content: "\f078";
  position: absolute;
  top: 0px;
  right: 20px;
  font-family: fontawesome;
  transform: rotate(90deg);
  transition: 0.3s transform;
}
.card > section {
  transition: 0.3s all;
  -webkit-transition: 0.3s all;
  -moz-transition: 0.3s all;
  -ms-transition: 0.3s all;
  -o-transition: 0.3s all;
}
/* end card */
/* main page start */
.exam-list-wrapper {
  background: #fff;
  padding: 20px;
  margin-top: 30px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
.exam-list-wrapper header {
  padding: 15px;
  background: #e8e8e8;
  border-radius: 5px;
  font-size: 15px;
  margin-bottom: 5px;
  font-weight: 700;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
.exam-list-wrapper ul li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px;
  background-color: #f0f0f0;
  margin-bottom: 3px;
  font-size: 1.2rem;
}
.exam-list-wrapper ul li div {
  display: flex;
}
.exam-list-wrapper ul li div span {
  margin-right: 10px;
  font-size: 1.3rem;
}
.exam-list-wrapper ul li div p {
  text-transform: capitalize;
}
.exam-list-wrapper ul li a {
  background-color: var(--blue-color);
  color: #fff;
  font-size: 1.2rem;
  padding: 5px 10px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
  text-transform: capitalize;
}
.empty-section {
  padding: 10px;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}
.empty-section svg {
  margin-right: 5px;
}
/* exam page */
main.exam header > span:first-child,
main.exam header > span:last-child {
  display: flex;
  align-items: center;
  cursor: pointer;
  background-color: var(--blue-color);
  color: #fff;
  padding: 5px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
}
main.exam header > span:first-child + span {
  letter-spacing: 5px;
  font-weight: bold;
}
main.exam section {
  padding: 40px 10px 0;
}
main.exam section h4 {
  margin-bottom: 15px;
  line-height: 1.5;
}
main.exam section div {
  display: flex;
  justify-content: flex-end;
}
main.exam section div button {
  border: 0;
  outline: 0;
  background-color: var(--blue-color);
  color: #fff;
  font-size: 1rem;
  padding: 10px;
  border-radius: 5px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  cursor: pointer;
}
main.exam section div button.disabled {
  background-color: #eee;
  color: var(--text-color);
  cursor: not-allowed;
}
main.exam .answers-wrapper li {
  cursor: pointer;
}
.disabled-button {
  pointer-events: none;
}
/* results page */
main.results > p {
  display: flex;
  justify-content: flex-end;
  font-size: 1.5rem;
  margin-bottom: 10px;
}
main.results p svg {
  cursor: pointer;
}
main.results img,
main.report img {
  width: 150px;
  display: block;
  margin: auto;
}
/* dashboard home */
.widgets {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 10px;
  margin-bottom: 30px;
}
.widgets article {
  padding: 20px;
  border-radius: 5px;
  color: #fff;
}
.widgets article:hover .content span {
  transform: scale(1.2);
  -webkit-transform: scale(1.2);
  -moz-transform: scale(1.2);
  -ms-transform: scale(1.2);
  -o-transform: scale(1.2);
}
.widgets article:nth-child(1) {
  background-color: #dc3545;
}
.widgets article:nth-child(2) {
  background-color: #2196f3;
}
.widgets article:nth-child(3) {
  background-color: #3f51b5;
}
.widgets article:nth-child(4) {
  background-color: #009688;
}
.widgets article .content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  line-height: 1.3;
}
.widgets article .content div h2 {
  font-size: 2.5rem;
  margin-bottom: 10px;
}
.widgets article .content div h4 {
  font-size: 1.3rem;
  font-weight: 300;
}
.widgets article .content span {
  font-size: 4rem;
  color: rgba(0, 0, 0, 0.15);
  transition: transform 1s ease;
  -webkit-transition: transform 1s ease;
  -moz-transition: transform 1s ease;
  -ms-transition: transform 1s ease;
  -o-transition: transform 1s ease;
}
main.chart {
  height: 420px;
}
/* reports */
main.report form {
  display: flex;
  flex-direction: row !important;
  justify-content: space-between;
  align-items: flex-start;
}
.print {
  font-size: 1.7rem;
  text-align: right;
  margin-bottom: 10px;
  cursor: pointer;
}
main.report img {
  display: none;
}
main.report form .row {
  width: 90%;
}
main.report form .row .form-control {
  width: calc((100% - 2%) / 2);
}
main.report form .row .form-control select {
  width: 100%;
}
main.report form button {
  width: fit-content;
}
main.report table th {
  background-color: transparent;
  color: var(--text-color);
  text-transform: capitalize;
}

.danger,
.success {
  font-size: 1.1rem;
}

.danger {
  color: var(--danger-color) !important;
}
.success {
  color: var(--success-color) !important;
}

/* print styles */
@media print {
  .header,
  main.report form,
  main.report p {
    display: none;
  }
  main.results,
  main.report {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: auto;
    border: none;
  }
  main.results img {
    margin-bottom: 20px;
  }
  main.results p {
    display: none;
  }
  main.report img {
    display: block;
    margin-bottom: 20px;
  }
}

